Bug 1277437 (nette/robot-loader) - Review Request: php-nette-robot-loader - Nette RobotLoader: comfortable autoloading
Summary: Review Request: php-nette-robot-loader - Nette RobotLoader: comfortable autol...
Status: CLOSED ERRATA
Alias: nette/robot-loader
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: nette/tester nette/utils nette/finder nette/caching
Blocks: 1277470 nette/bootstrap nette/deprecated nette/nette apigen/apigen
TreeView+ depends on / blocked
 
Reported: 2015-11-03 10:21 UTC by Remi Collet
Modified: 2015-12-29 03:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-05 08:12:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (8.03 KB, text/plain)
2015-12-01 21:43 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (5.51 KB, text/plain)
2015-12-01 21:43 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.69 KB, text/plain)
2015-12-01 21:44 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-11-03 10:21:16 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/c5401ad1245300de44fbfbc2a9ac7ac86da0253b/php/nette/php-nette-robot-loader/php-nette-robot-loader.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-robot-loader-2.3.1-2.remi.src.rpm
Description: 
RobotLoader is a tool that gives you comfort of automated class loading
for your entire application including third-party libraries.

- get rid of all require
- only necessary scripts are loaded
- requires no strict file naming conventions
- allows more classes in single file

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/RobotLoader/autoload.php';

Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2015-12-01 21:43 UTC
Created attachment 1101097 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST

Comment 2 Shawn Iwinski 2015-12-01 21:43 UTC
Created attachment 1101098 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST

Comment 3 Shawn Iwinski 2015-12-01 21:44 UTC
Created attachment 1101099 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277437
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2015-12-01 21:44:32 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2015-12-02 06:06:46 UTC
Thanks!

SCM request open on pkgdb.

Comment 6 Gwyn Ciesla 2015-12-02 14:21:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-robot-loader

Comment 7 Fedora Update System 2015-12-02 15:25:39 UTC
php-nette-robot-loader-2.3.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1fc1832232

Comment 8 Fedora Update System 2015-12-02 15:25:45 UTC
php-nette-robot-loader-2.3.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a143e3b7a9

Comment 9 Fedora Update System 2015-12-03 04:19:56 UTC
php-nette-robot-loader-2.3.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-robot-loader'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a143e3b7a9

Comment 10 Fedora Update System 2015-12-03 16:01:27 UTC
php-nette-robot-loader-2.3.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-robot-loader'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1fc1832232

Comment 11 Fedora Update System 2015-12-03 17:19:14 UTC
php-nette-robot-loader-2.3.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-robot-loader'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4fff3c39e0

Comment 12 Fedora Update System 2015-12-04 01:36:21 UTC
php-nette-robot-loader-2.3.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-robot-loader'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b05bffad14

Comment 13 Fedora Update System 2015-12-15 13:24:27 UTC
php-nette-robot-loader-2.3.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-12-15 15:21:17 UTC
php-nette-robot-loader-2.3.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-12-28 21:26:54 UTC
php-nette-robot-loader-2.3.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-12-29 03:53:57 UTC
php-nette-robot-loader-2.3.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.